Package org.apache.avro.ipc.netty

# Class NettyTransportCodec

java.lang.Object
org.apache.avro.ipc.netty.NettyTransportCodec

public class NettyTransportCodec extends Object
Data structure, encoder and decoder classes for the Netty transport.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`NettyTransportCodec.NettyDataPack`
Transport protocol data structure when using Netty.
`static class`
`NettyTransportCodec.NettyFrameDecoder`
Protocol decoder which converts Netty's ChannelBuffer to NettyDataPack which contains a List<ByteBuffer> needed by Avro Responder.
`static class`
`NettyTransportCodec.NettyFrameEncoder`
Protocol encoder which converts NettyDataPack which contains the Responder's output List<ByteBuffer> to ChannelBuffer needed by Netty.

## Constructor Summary

Constructors
Constructor
Description
`NettyTransportCodec()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NettyTransportCodec

public NettyTransportCodec()